<div class="container-main">
  <mat-form-field>
    <label>
      <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Поиск">
    </label>
  </mat-form-field>
  <div class="example-table-container">
    <table mat-table [dataSource]="dataSource" matSortDisableClear matSort class="mat-elevation-z8">

      <!-- Position Column -->
      <ng-container matColumnDef="number_order">
        <th mat-header-cell class="id" *matHeaderCellDef mat-sort-header disableClear> Номер заказа</th>
        <td mat-cell class="id" *matCellDef="let element"> {{element.number_order}} </td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="date_finish">
        <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Дата завершения</th>
        <td mat-cell class="data" *matCellDef="let element">{{element.date_finish}} </td>
      </ng-container>

      <ng-container matColumnDef="addressDepart">
        <th mat-header-cell *matHeaderCellDef> Откуда</th>
        <td mat-cell class="address" *matCellDef="let element"> {{element.addressDepart}} </td>
      </ng-container>

      <!-- Weight Column -->
      <ng-container matColumnDef="addressDest">
        <th mat-header-cell *matHeaderCellDef > Куда</th>
        <td mat-cell class="address" *matCellDef="let element"> {{element.addressDest}} </td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="driver">
        <th mat-header-cell *matHeaderCellDef> Водитель</th>
        <td mat-cell *matCellDef="let element"> Долгушев Илья Витальевич </td>
      </ng-container>

      <ng-container matColumnDef="client">
        <th mat-header-cell *matHeaderCellDef > Телефон клиента</th>
        <td mat-cell class="client" *matCellDef="let element"> {{element.phone}} </td>
      </ng-container>

      <ng-container matColumnDef="sum">
        <th mat-header-cell *matHeaderCellDef > Сумма </th>
        <td mat-cell *matCellDef="let element"> {{element.sum}} Руб.</td>
      </ng-container>

      <ng-container matColumnDef="status">
        <th mat-header-cell *matHeaderCellDef > Статус</th>
        <td mat-cell *matCellDef="let element"> {{element.status}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row [class.success]="row.status === success" *matRowDef="let row; columns: displayedColumns;" (click)="selectRow(row.number_order)"></tr>
    </table>

  </div>
  <mat-paginator [length]="length"
                 [pageSize]="pageSize"
                 [pageSizeOptions]="pageSizeOptions">
  </mat-paginator>
</div>
